An updated rhn-upgrade package that fixes several bugs is now available for RedHat Satellite 5.7.

Red Hat Satellite is a system management tool for Linux-based infrastructures.It allows for the provisioning, remote management and monitoring of multipleLinux deployments with a single, centralized tool.The rhn-upgrade package contains the documentation needed to upgrade Red HatSatellite.This update fixes the following bugs:* When upgrading from Satellite 5.6 to 5.7, certain taskomatic records relatedto non-existing Java classes were left in the database, which caused duplicaterecords or schema-upgrade failure. With this update, the aforementionedtaskomatic records are removed during upgrade, thus fixing this bug.(BZ#1308521)* During database migration from Red Hat Network Satellite 5.2 to Red HatSatellite 5.7 the migration process failed with the following message:ERROR: more than one row returned by a subquery used as an expression.

This bug has been fixed and the migration no longer fails due to above error.(BZ#1274583)* When Red Hat Enterprise Linux 7 content was synchronized by Inter-SatelliteSync to older Satellite schema, the upgrade process failed during importingarmv5 architecture details. With this update, the upgrade process now correctlyimports armv5 architecture. (BZ#1313365)* When Red Hat Enterprise Linux 7 content was synchronized by Inter-SatelliteSync to older Satellite schema, the upgrade process failed during importingarmv6l architecture details. With this update, the upgrade process now correctlyimports armv6l architecture. (BZ#1314356)* With this update, the rhn-upgrade README file has been modified to clarifysupported upgrade paths.

The architecture upgrades of hosts holding embedded ofmanaged PostgreSQL database are not supported.(BZ#1316630)* This update prevents Tomcat from logging unnecessary tracebacks to the/var/log/tomcat6/catalina.out file when upgrading a running Satellite.(BZ#1316555)All Users of Red Hat Satellite are advised to upgrade to this updated package,which fixes these bugs.
Before applying this update, make sure all previously-released erratarelevant to your system have been applied.For instructions on upgrading Red Hat Satellite, please referto the /etc/sysconfig/rhn/satellite-upgrade/README file.This update is available via the Red Hat Network.

Details on how touse the Red Hat Network to apply this update are available athttps://access.redhat.com/site/articles/11258Red Hat Network Satellite (v. 5.2 for RHEL 5)

SRPMS:
rhn-upgrade-5.7.0.33-1.el5sat.src.rpm
    MD5: 3cb7373474bc351d7bfa719cedaffe37SHA-256: 1d2b9fb8b42e19d4aa31a2ae4f36410ca3b3af9beda010b501c5de8304d5a5ac
 
IA-32:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
s390x:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
x86_64:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
Red Hat Network Satellite (v. 5.3 for RHEL 5)

SRPMS:
rhn-upgrade-5.7.0.33-1.el5sat.src.rpm
    MD5: 3cb7373474bc351d7bfa719cedaffe37SHA-256: 1d2b9fb8b42e19d4aa31a2ae4f36410ca3b3af9beda010b501c5de8304d5a5ac
 
IA-32:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
s390x:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
x86_64:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
Red Hat Network Satellite (v. 5.4 for RHEL 5)

SRPMS:
rhn-upgrade-5.7.0.33-1.el5sat.src.rpm
    MD5: 3cb7373474bc351d7bfa719cedaffe37SHA-256: 1d2b9fb8b42e19d4aa31a2ae4f36410ca3b3af9beda010b501c5de8304d5a5ac
 
IA-32:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
s390x:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
x86_64:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
Red Hat Network Satellite (v. 5.4 for RHEL 6)

SRPMS:
rhn-upgrade-5.7.0.33-1.el6sat.src.rpm
    MD5: bd72b6d41d2b4652a71853bb49e04dfeSHA-256: ec16c4597c7c6f90f4b3923236ffcba659477afd3eb912fb8bc1abad55b618cf
 
s390x:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
x86_64:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
Red Hat Network Satellite (v. 5.5 for RHEL 5)

SRPMS:
rhn-upgrade-5.7.0.33-1.el5sat.src.rpm
    MD5: 3cb7373474bc351d7bfa719cedaffe37SHA-256: 1d2b9fb8b42e19d4aa31a2ae4f36410ca3b3af9beda010b501c5de8304d5a5ac
 
s390x:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
x86_64:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
Red Hat Network Satellite (v. 5.5 for RHEL 6)

SRPMS:
rhn-upgrade-5.7.0.33-1.el6sat.src.rpm
    MD5: bd72b6d41d2b4652a71853bb49e04dfeSHA-256: ec16c4597c7c6f90f4b3923236ffcba659477afd3eb912fb8bc1abad55b618cf
 
s390x:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
x86_64:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
Red Hat Satellite (v. 5.6 for RHEL 5)

SRPMS:
rhn-upgrade-5.7.0.33-1.el5sat.src.rpm
    MD5: 3cb7373474bc351d7bfa719cedaffe37SHA-256: 1d2b9fb8b42e19d4aa31a2ae4f36410ca3b3af9beda010b501c5de8304d5a5ac
 
s390x:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
x86_64:
rhn-upgrade-5.7.0.33-1.el5sat.noarch.rpm
    MD5: 5149b9ea62d395dc70d11fb104940ff2SHA-256: 4cad190b725c456ebe2b7804a6edd7ba0bfe50d7a2ae827f41829b2d0b3abf90
 
Red Hat Satellite (v. 5.6 for RHEL 6)

SRPMS:
rhn-upgrade-5.7.0.33-1.el6sat.src.rpm
    MD5: bd72b6d41d2b4652a71853bb49e04dfeSHA-256: ec16c4597c7c6f90f4b3923236ffcba659477afd3eb912fb8bc1abad55b618cf
 
s390x:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
x86_64:
rhn-upgrade-5.7.0.33-1.el6sat.noarch.rpm
    MD5: 5789596fe3e060198e368a1bf7c641c7SHA-256: 309a42bdffcbbe51f930e0c2eb724f81b52ae701b0a0a285ede7656e842d182b
 
(The unlinked packages above are only available from the Red Hat Network)
1274583 – DB migration from 5.2.0@embOracle to 5.7.0@embPostgreSQL fails on import step: psql:<stdin>:10773: ERROR: more than one row returned by a subquery used as an expression1308521 – Purge taskomatic records during upgrade1313365 – upgrade oracle from 5.3 to satellite 5.7 failed1314356 – upgrade oracle from 5.3 to satellite 5.7 fails on 055-armv6l.sql1316555 – Mention in doc that satellite services should be stopped before running yum update1316630 – Satellite 5.6 s390x to 5.7 x86_64 upgrade fails

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from: